Bug 129796 - Edit Field of a Input Field Variable with a User Field variable does not give the proper Reference value
Summary: Edit Field of a Input Field Variable with a User Field variable does not give...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0 target:6.4.3 target:7.4.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Fields-Dialog
  Show dependency treegraph
 
Reported: 2020-01-05 00:09 UTC by sdc.blanco
Modified: 2021-12-16 21:28 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Edit Dialog boxes showing problem with Reference value (32.71 KB, image/png)
2020-01-05 00:09 UTC, sdc.blanco
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sdc.blanco 2020-01-05 00:09:52 UTC
Created attachment 156934 [details]
Edit Dialog boxes showing problem with Reference value

The summary indicates a symptom not the problem.

Procedure.

1. Ctrl-F2 (Variable tab)   User Field Variable (w/text format) and apply.
2. Input Field variable, with just-created User Field, insert.
3. Right-click on Inserted variable > Edit Field.

Actual result:  

1.  Slowly the edit dialog box will appear.
2.  The reference field shows diverse characters (see attachment)

Expected result:
1. Edit Dialog box quickly appears
2. Reference field should contain the string shown in the inserted variable.

Additional information.
1.  Works properly if Set Variable is used to make Variable for input box.
2.  Several times, LO froze or crashed when I tried this (as part of a regular editing session, making different variables and inserting different input variables -- but could not find a simple recipe to reproduce).  But the problem with the reference field happened consistently in all cases.
3.  Does not occur with LO 6.3.4.2
Comment 1 Xisco Faulí 2020-03-02 19:00:46 UTC
Reproduced in

Version: 7.0.0.0.alpha0+
Build ID: 950e1aec0a984ce40a5038331f491272b51d41fa
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 2 Xisco Faulí 2020-03-02 19:14:55 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=ebdf70cc68989d209965768edc8a3bdf27543c48

author	Noel Grandin <noel.grandin@collabora.co.uk>	2019-09-20 15:18:01 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2019-09-20 18:21:50 +0200
commit ebdf70cc68989d209965768edc8a3bdf27543c48 (patch)
tree d89afb49072248692cc355bf24402fa6d66898ad
parent e15297a72e3483a6e5641253920e71f6e4570c28 (diff)
convert SwFieldTypesEnum to scoped enum

Bisected with: bibisect-linux64-6.4

Adding Cc: to Noel Grandin
Comment 3 Commit Notification 2020-03-04 18:30:09 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/0c225c7c2b47d7ec57ab7f3f2a900aaac78031d0

tdf#129796 junk in reference edit box

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2020-03-05 09:35:43 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: bdfd0feefe3785e1ea68bf1f1f987147c8fe9335
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Noel, thanks for fixing this issue!!
Comment 5 Commit Notification 2020-03-05 10:59:01 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/dfed8bca32312884eb6166cbd8aba1d3397cd813

tdf#129796 junk in reference edit box

It will be available in 6.4.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2021-12-16 21:28:10 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/045665d7760f14b36f9971f8b736d5dee6189b0a

tdf#129796: sw: Add UItest

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.